Package com.avaya.clientservices.messaging.enums

## Enum ConversationType

- java.lang.Object
- - java.lang.Enum<ConversationType>
  - - com.avaya.clientservices.messaging.enums.ConversationType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConversationType>`

      public enum ConversationType
      extends java.lang.Enum<ConversationType>

  Represents the conversation type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `P2P` | A peer to peer conversation.
    `THREAD` | A private conversation between participants.
    `TOPIC` | A published conversation to which any user may subscribe.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConversationType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConversationType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOPIC

          public static final ConversationType TOPIC

      A published conversation to which any user may subscribe. Topics are based on a social-networking interaction model. Users elect to subscribe to a conversation of interest to them, and can join, leave, and rejoin at their discretion. All content of a topic is available to all who observe it, very much like an internet forum or message board.

    - #### THREAD

          public static final ConversationType THREAD

      A private conversation between participants. The participants in a thread must each be invited to the conversation (either at the outset, or over the course of the conversation). Participants can elect to leave a thread, but cannot rejoin unless re-invited by an active participant. The content of a thread is not the same for all participants; it is directly related to when a user has joined and left the conversation. You are only aware of conversation activity that occurs while you are an active participant.

    - #### P2P

          public static final ConversationType P2P

      A peer to peer conversation. Adding and removing additional participants is not allowed. Participants cannot leave thread.

  - ### Method Detail

    - #### values

          public static ConversationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConversationType c : ConversationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConversationType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null